Discussion:
01/01: gnu: bedtools: Update to 2.27.0.
(too old to reply)
Mark H Weaver
2017-12-08 05:57:44 UTC
Permalink
Raw Message
Hi,
rekado pushed a commit to branch master
in repository guix.
commit 0d9824cc127f045d32c22d0c75df46d97cb61624
Date: Wed Dec 6 19:12:16 2017 +0100
gnu: bedtools: Update to 2.27.0.
* gnu/packages/bioinformatics.scm (bedtools): Update to 2.27.0.
[arguments]: Remove custom "install" phase; specify prefix.
The standard 'install' phase seems to have failed on Hydra:

https://hydra.gnu.org/build/2389354

--8<---------------cut here---------------start------------->8---
starting phase `install'
make: *** No rule to make target 'install'. Stop.
phase `install' failed after 0.0 seconds
builder for `/gnu/store/fq59s5x7kxn8sq9wl62334bacpjgj1b3-bedtools-2.18.0.drv' failed with exit code 1
@ build-failed /gnu/store/fq59s5x7kxn8sq9wl62334bacpjgj1b3-bedtools-2.18.0.drv - 1 builder for `/gnu/store/fq59s5x7kxn8sq9wl62334bacpjgj1b3-bedtools-2.18.0.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---

Any idea what happened here?

Mark
Mark H Weaver
2017-12-08 18:06:56 UTC
Permalink
Raw Message
Hi Ricardo,
Post by Mark H Weaver
rekado pushed a commit to branch master
in repository guix.
commit 0d9824cc127f045d32c22d0c75df46d97cb61624
Date: Wed Dec 6 19:12:16 2017 +0100
gnu: bedtools: Update to 2.27.0.
* gnu/packages/bioinformatics.scm (bedtools): Update to 2.27.0.
[arguments]: Remove custom "install" phase; specify prefix.
https://hydra.gnu.org/build/2389354
--8<---------------cut here---------------start------------->8---
starting phase `install'
make: *** No rule to make target 'install'. Stop.
phase `install' failed after 0.0 seconds
builder for `/gnu/store/fq59s5x7kxn8sq9wl62334bacpjgj1b3-bedtools-2.18.0.drv' failed with exit code 1
@ build-failed
/gnu/store/fq59s5x7kxn8sq9wl62334bacpjgj1b3-bedtools-2.18.0.drv - 1
builder for
`/gnu/store/fq59s5x7kxn8sq9wl62334bacpjgj1b3-bedtools-2.18.0.drv'
failed with exit code 1
--8<---------------cut here---------------end--------------->8---
“builder for … 2.18.0”? This should be version 2.27.0 and worked fine
on at least three machines here.
I see now that there's a 'bedtools-2.18' package that inherits from the
main 'bedtools'. 'bedtools-2.18', apparently needed by 'ribotaper', was
broken by your changes to 'bedtools'.

Mark
Ricardo Wurmus
2017-12-09 12:02:00 UTC
Permalink
Raw Message
Post by Mark H Weaver
“builder for … 2.18.0”? This should be version 2.27.0 and worked fine
on at least three machines here.
I see now that there's a 'bedtools-2.18' package that inherits from the
main 'bedtools'. 'bedtools-2.18', apparently needed by 'ribotaper', was
broken by your changes to 'bedtools'.
Thank you. This is now fixed with commit 83b9d121a.
--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6 2150 197A 5888 235F ACAC
https://elephly.net
Loading...